Package net.shibboleth.idp.attribute.resolver.spring.impl

# Class AttributeResolverNamespaceHandler

java.lang.Object
net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler
net.shibboleth.idp.attribute.resolver.spring.impl.AttributeResolverNamespaceHandler

All Implemented Interfaces:
  `NamespaceHandler`

public class AttributeResolverNamespaceHandler extends BaseSpringNamespaceHandler
Namespace handler for the attribute resolver.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAMESPACE`
Namespace for this handler.

### Fields inherited from class net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler

`DEFAULT_SECONDARY_HANDLER_BASE_LOCATION`

## Constructor Summary

Constructors
Constructor
Description
`AttributeResolverNamespaceHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`

### Methods inherited from class net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler

`decorate, doInit, findParserForElement, parse, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAMESPACE

@Nonnull @NotEmpty public static final String NAMESPACE
Namespace for this handler.

See Also:
  - Constant Field Values

## Constructor Details

### AttributeResolverNamespaceHandler

public AttributeResolverNamespaceHandler()

## Method Details

### init

public void init()

Specified by:
  `init` in interface `NamespaceHandler`
Overrides:
  `init` in class `BaseSpringNamespaceHandler`